//
//  TermsAndSerivceController.swift
//  YLYL
//
//  Created by macbook on 1/11/19.
//  Copyright © 2019 Abdelhamid Sghaier. All rights reserved.
//

import Foundation
import UIKit
class TermsController: FixUIController {
    @IBOutlet weak var titleView : UILabel!
    @IBOutlet weak var textViewContent: UITextView!
    @IBOutlet weak var declinBTN: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        titleView.text = "ZONZAY"
        textViewContent.text = "This TERM OF USE is a legal agreement between you and Regystone ltd and ZONZAY and its various & next versions including web-based version \"ZONZAY Web\" (All ZONZAY services shall collectively referred to as \"ZONZAY\") regarding the use of the ZONZAY software programs and related documentation being installed by you on your device (the \"Software\").\n\nBy downloading the Software and/or using any of the services enabled by the Software ZONZAY , you acknowledge that you have read, understood, and agree to be bound by the following terms and conditions (including any additional guidelines and future modifications) and by ZONZAY's privacy policy, which is incorporated herein by reference and can be found at ZONZAY's website .if at any time you do not agree to these terms and conditions of use, you may not use the software or services and must immediately terminate your use of the software and all services.\n\n 1. Acknowledgment:\n\nZONZAY and you acknowledge that this Terms of Use is concluded between ZONZAY and you only, this Terms of Use is not intended to provide for usage rules for the Software and Services that are less restrictive than the Usage Rules set forth for Licensed Applications in Google play store or Apple store\n\n2. License Grant:\n\nSubject to your compliance with the terms and conditions set out in this Terms of Use, ZONZAY grants you a personal, limited, non-commercial, non-exclusive, non-sublicensable, non-assignable, revocable license to download, install and use one copy of the Software, in object code format, only on your personal computer or mobile Device for the sole purpose of personally using the ZONZAY application and any other applications that may be explicitly authorized by ZONZAY for use through use of the Software, and if you have downloaded the Software from the Apple App Store or the Google Play, as permitted by the Usage Rules set forth in the each app marketplace Terms of Service as of the date hereof.\n\n3. Ownership:\n\nThe Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. You agree to take all necessary actions to protect the confidentiality of such information. All ownership rights in the Software and Services, including any related documentation and any new releases, modifications, and enhancements thereto belong solely to ZONZAY and its licensors, if any, including all intellectual property rights therein. The Software is licensed, not sold. Title does not pass to you. There is no implied license, right or interest granted in any copyright, patent, trade secret, trademark, invention or other intellectual property right. ZONZAY hereby expressly reserves all rights in the Software and all Services which are not expressly granted to you hereunder.\n\n4. Restrictions:\n\nYou only obtain a license to use the object code version of the Software. You shall not (1) copy, modify, adapt, translate into any language, distribute, or create derivative works based on the Software or any of the Services; (2) sublicense, sublease, lease, lend, assign, sell, license, distribute, rent, export, re-export or grant other rights in the Software or Service and any attempt by you to take such action shall be void; (3) decompile, disassemble, reverse engineer, or attempt to reconstruct, identify, or discover any source code, underlying ideas, underlying user interface techniques, or algorithms of the Software or any of the Services by any means whatsoever; (4) remove, obscure or alter any copyright and/or other proprietary notices contained in or otherwise connected to the Software or any of the Services; (5) use the Software or any of the Services to create or proliferate a virus or to circumvent any copyright protection or other digital rights management mechanism.\n\n5. Additional Restrictions:\n\nYou further represent that you shall not (1) use the Software or any of the Services for any illegal or unauthorized purpose, (2) use the Software or any of the Services in any manner which could damage, disable, overburden or impair any of the Services, (3) transmit worms, viruses or any code of a destructive nature, (4) display, transmit or share any content consisting of text, sounds, audio, pictures, photos, video and/or any type of materials, information or communications (\"Content\") deemed hateful, threatening, pornographic, obscene, abusive, racially or ethnically offensive, libelous or defamatory, or any Content that encourages conduct that would be considered a criminal offense or bring forth civil liability, (5) attempt to hack, destabilize or adapt ZONZAY's website, the Software (or its source code) or any of the Services, or alter another website so as to falsely imply that it is affiliated with ZONZAY, or (6) use or access any of the Services by any means other than through the interface provided by ZONZAY.\n\n6. Your Utilization of Your Device:\n\nIf your use of the Software or Services is dependent upon the use of bandwidth owned or controlled by a third party, you acknowledge and agree that your license to use the Software is subject to you obtaining consent from the relevant third party for such use and by using the Software you warrant that you have obtained such consent. In addition, you warrant that you own the Device to which you are downloading the Software, or that you have the legal right to control the use of that Device. You further agree to ensure that any other person whom you permit to use the Software or Services will do so in accordance with this Terms of Use. You must delete any Software from the Device if you sell the Device, or if you cease to have the legal right to control use of the Device.\n\n7. Content:\n\nContent transmitted by the use of the Software and Services is entirely the responsibility of the person from whom such Content originated. You use the Software and Services at your own risk and understand that by using the Software or any of the Services, you may be exposed to Content that is offensive, harmful to minors, indecent or otherwise objectionable. ZONZAY does not endorse any Content and expressly disclaims any and all liability in connection with any and all Content transmitted or displayed using the Software and/or Services. You hereby release and discharge the ZONZAY Parties from any and all claims and demands arising out of or relating to any Content.\n\n8. Your Content:\n\nYou acknowledge and agree that you are solely responsible for any Content that you transmit or display through the Software or Services and that ZONZAY (and Apple or Google if you downloaded the Software from the App Store or Google Play) is not responsible to you or any third party in connection with any Content. You further agree to pay for all royalties, fees, and any other monies owing any person by reason of any of your Content. In addition, you represent and warrant that: (1) you are the creator and owner of or have the necessary rights to transmit or display the Content; and (2) the Content you transmit or you display does not and will not: (A) infringe, violate, or misappropriate any third-party right, including any copyright, trademark, patent, trade secret, moral right, privacy right, right of publicity, or any other intellectual property or proprietary right, or (B) slander, defame, libel, or invade the right of privacy, publicity or other property rights of any other person. Violators of these third-party rights may be subject to criminal and civil liability. ZONZAY reserves all rights and remedies against anyone who violates any of the provisions of this terms of use.\n\n9. Third Parties:\n\nThe Software may be incorporated into, and may incorporate itself, software and other technology owned and controlled by third parties. Any such third party software or technology that is incorporated in the Software falls under the scope of this Agreement.\n\n10. New Versions of the Software:\n\nZONZAY, in its sole discretion, reserves the right to add additional features or functions, or to modify or provide programming fixes, updates and upgrades, to the Software or Services. ZONZAY has no obligation to make available to you any additional features or functions or any modifications, updates, support, maintenance or subsequent versions of the Software or any of the Services. You may have to agree to a renewed version of Terms of Use in the event you want to download, install or use any additional features or functions or any modifications, updates or new versions of the Software. You acknowledge that ZONZAY may automatically issue any additional features or functions or modifications, updates or upgraded versions of the Software and, accordingly, may modify, update or upgrade the version of the Software that you are using or have installed on your Device. You hereby agree that your Device may automatically request and/or receive such modifications, upgrades or updates.\n\n11. Third Party Fees:\n\nFor particular Devices, ZONZAY may ask your permission to use your native SMS and/or e-mail application and/or others applications to deliver messages or invitations to people who are not registered users of the Services and with whom you choose to communicate. Some of these services may charge additional fees.\n\n12. Eligibility:\n\nThe license to use the Software and Services is not valid in any jurisdiction where prohibited. The Software and Services are intended solely for users who are thirteen (13) years of age or older, and any registration, use or access to the Software or Services by anyone under 13 is unauthorized, unlicensed, and in violation of this Terms of Use. ZONZAY may terminate your account, delete any content or information that you have posted on the Services, and/or prohibit you from using or accessing the Software or Services (or any portion, aspect or feature of the Services) for any reason or for no reason, at any time in its sole discretion, with or without notice, including without limitation if it believes that you are under 13. If you are under 18 years of age you may use the Software and Services only if you either are an emancipated minor, or possess legal parental or guardian consent, and are fully able and competent to enter into and abide by the provisions set forth in this Terms of Use.\n\n13. No Access to Emergency Services:\n\nThe Software and Services are not intended to support or carry emergency calls to any type of hospitals, law enforcement agencies, medical care unit or any other kind of services that connect a user to emergency services personnel or public safety. You acknowledge and agree that: (1) ZONZAY is not required to offer access to Emergency Services under any applicable local and/or national rules, regulations or law; (2) it is your responsibility to purchase, separately from the Software, traditional wireless (cellular) or fixed line telephone services that offer access to Emergency Services, and (3) ZONZAY is not a replacement for your primary telephone service.\n\n14. Prevention of Unauthorized Use:\n\nZONZAY reserves the right to exercise whatever lawful means it deems necessary to prevent unauthorized use of the Software or Services, including, but not limited to, technological barriers, IP mapping, and directly contacting your wireless (cellular) carrier regarding such unauthorized use.\n\n15. License Grant to ZONZAY:You hereby authorize ZONZAY to collect and use the address books, contact lists, and unique phone identifiers (IMEI, UDID, or other) contained in the Devices to which you have downloaded the Software for purposes of your use of the Services.\n\n16. VIP and all kind of paid contents & item Services:\n\nFrom time to time, ZONZAY may provide additional features and/or Services that you pay for (\"VIP and all kind of paid contents & item Services\"). ZONZAY may also offer from time to time in its sole discretion, certain VIP and all kind of paid contents & item Services for free, whether for a trial period or otherwise. Unless expressly stated otherwise, references in this Terms of Use to the Services include the VIP and all kind of paid contents & item Services.\n\n17. Payments for VIP and all kind of paid contents & item Services:\n\nThe VIP  and all kind of paid contents & item Services may be offered on a subscription basis, per usage basis or as otherwise described at the time of your purchase, and may be payable in advance, in arrears, per usage, or as otherwise described at the time of your purchase. If you purchase any VIP and all kind of paid contents & item Services, you hereby agree to pay all charges to your account, including applicable taxes, in accordance with billing terms in effect at the time the charges are payable and whether charged by ZONZAY or the online application store from which you downloaded the Software (the \"Application Store\"). You agree to abide by any relevant terms of service or other legal agreement that governs your use of a given payment processing service and/or method. If you purchase VIP and all kind of paid contents & item Services on a subscription basis, you acknowledge and agree that this is a recurring payment and payments shall be made by the payment method and payment intervals you have selected, until the subscription for the VIP  and all kind of paid contents & item Services is terminated. You agree that if you purchase VIP and all kind of paid contents & item Services through an Application Store, all payment related questions, issues, disagreements and/or disputes shall be handled in accordance with the terms of service or other legal agreement that governs your use of a given payment processing service and/or method, and in no event will ZONZAY have any responsibility in connection with any of the foregoing.\n\n18. Refunds:You may request a full refund for any VIP and all kind of paid contents & item Service purchased from an Application Store if permitted by, and pursuant to the refund rules of, the Application Store. Exceptions - 1) refunds are not available to users who are banned by ZONZAY and its community, and 2) full-refunds are not available for partially-used purchases.\n\n19. Termination by You:\n\nYou may terminate your use of the Services at any time by uninstalling and deleting the Software from all of your Devices. If you have subscribed to any VIP and all kind of paid contents & item Services, you agree that you are solely responsible for directly terminating all payment obligations you may have with any Application Store and/or payment processing service in connection with the VIP and all kind of paid contents & item Services.\n\n20. Termination by ZONZAY:\n\nWithout limiting any other remedies, ZONZAY may limit, suspend, discontinue or terminate this Terms of Use and/or your use of all or any part of the Software and/or Services, with immediate effect, automatically, with or without notice and without recourse to the courts, for any reason or for no reason, including without limitation if ZONZAY believes that you are (1) in breach of any of the terms of this Terms of Use, (2) creating problems or legal liabilities (actual or potential), (3) delinquent with respect to any charges due for a VIP  and all kind of paid contents & item Service, (4) infringing a third party's intellectual property rights, or (5) engaging in fraudulent, immoral or illegal activities. You agree that ZONZAY is under no obligation to provide the Services, including without limitation any VIP  and all kind of paid contents & item Services, and that no ZONZAY Party shall be liable to you or to any other party for any limitation, suspension, discontinuance, termination or modification of the Software and/or any of the Services.\n\n21. Storage of Content:\n\nSubject to the terms and conditions of this Terms of Use, ZONZAY will use reasonable efforts to store your Content, if any, in connection with your use of a VIP and all kind of paid contents & item Service if such storage is a feature provided with the VIP and all kind of paid contents & item Service. You acknowledge and agree that ZONZAY shall have no responsibility for the loss, deletion, or destruction of any Content, including any stored Content and that no ZONZAY Party is under any obligation to preserve, provide access to or return to you any Content. In addition, you further acknowledge and agree that, if you have elected to use a VIP and any kind of paid contents & item Service that includes the storage of Content and you are not active on the VIP and any kind of paid contents & item Service for thirty (30) days or longer (as determined by ZONZAY), ZONZAY may delete your Content for any reason, including technical, business or any other reasons.\n\n22. Third-Party Sites, Products and Services; Links:\n\nThe Services may include links or references to other web sites or services solely as a convenience to our users (\"Reference Sites\"). ZONZAY does not endorse any such Reference Sites. Access and use of reference sites, including the information, materials, products, and services on or available through reference sites is solely at your own risk. We encourage you to be aware of when you leave the Services, and to read the terms and conditions and privacy policy of any third-party website or service that you visit. In addition, your correspondence or business dealings with advertisers found on or through the Services are solely between you and such advertiser.\n\n23. Indemnification:\n\n\"you hereby agree to indemnify, defend and hold harmless, ZONZAY, its licensors, its partners, and its and their respective affiliates, officers, directors, employees, contractors and suppliers (including ZONZAY, collectively the \"ZONZAY parties\"), from and against any and all claims, actions, liability, damages and costs, including reasonable attorneys' fees incurred by such parties, in connection with or arising out of (1) your violation or breach of any term of this terms of use or any applicable law or regulation, whether or not referenced herein, or (2) your violation of any rights of any third party, or (3) your use or misuse of the software and/or any of the services, or (4) your content or other communication displayed or transmitted by means of the software and/or any of the services, or (5) any taxes related to your purchase and/or use of any of the services (other than taxes based on the income of ZONZAY). if you downloaded the software from the app marketplaces, you acknowledge that, in the event of any third party claim that the software or services or your possession and use of the software or services infringes any third party's intellectual property rights, as between ZONZAY and the app marketplaces, ZONZAY, not the app marketplaces, will be solely responsible for the investigation, defense, settlement and discharge of any such intellectual property infringement claim. ZONZAY reserves the right, at your expense, to assume the exclusive defense and control of any matter for which you are required to indemnify ZONZAY, and you agree to cooperate with ZONZAY's defense of these claims. you agree not to settle any matter without the prior written consent of ZONZAY.\"\n\n24. Assignment:You are not allowed to assign this Terms of Use or any rights or obligations hereunder. ZONZAY is allowed at its sole discretion to assign this Terms of Use and any rights hereunder to any third party, without giving of notice.\n\n25. No Warranty:The software and services are provided to you \"as is\" and \"as available\" with no warranties. The Zonzay parties hereby disclaim all warranties, terms, or conditions, express or implied, either in fact or by operation of law, statutory or otherwise, including, without limitation, warranties, terms or conditions of merchantability, fitness for a particular purpose, satisfactory quality, correspondence with description, title, non-infringement, and accuracy of information generated. Accordingly, you acknowledge and agree that the Zonzay parties (and if you downloaded the software from the app store or google play, apple or google) will have no liability in connection with or arising from your use of the software and/or any of the services. your only right or remedy with respect to any problems or dissatisfaction with the software and/or any of the services is to immediately uninstall the software and cease use of the software and all services. You further acknowledge that the Zonzay parties (and if you downloaded the software from the app store or google play, apple or google) have no obligation whatsoever to furnish any maintenance or support services with respect to the software and/or services.\n\n26. NO WARRANTIES:\n\nThe Zonzay parties do not warrant that the content displayed or transmitted on or through any of the services will be uninterrupted, or free of errors, viruses or other harmful components, and do not warrant that any of the foregoing will be corrected. The Zonzay parties do not warrant or make any representations regarding the use of, or the results from the use of, the software or services.\n\n27. HARM TO YOUR DEVICE:\n\nYou understand and agree that you transmit, display or receive content through the service at your own discretion and risk and that you will be solely responsible for any damage to your property (including your device and computer system) or loss of data that results from such content.\n\n28. LIMITATION OF LIABILITY:\n\nIn no event shall the Zonzay parties be liable, whether based in contract, tort (including negligence), or any other legal theory, for any losses, liabilities, claims or damages of any kind, whether direct, indirect, incidental, consequential, special or punitive, or for loss of revenue or profits, loss of business, or any other damages, arising out of or in connection with the software and/or any of the services, this terms of use or the performance, suspension, termination or breach hereof, even if Zonzay or any other Zonzay party has been advised of the possibility thereof. The Zonzay parties shall have no liability in connection with or arising from this term of use or use of the software or any of the services. The foregoing limitations will apply even if the above stated remedy fails of its essential purpose. As some jurisdictions do not allow some of the exclusions or limitations set forth above, some of these exclusions or limitations may not apply to you. In such event the liability of the Zonzay parties will be limited to the maximum extent possible under applicable law. These limitations of liability also apply with respect to damages incurred by you by reason of any products or services sold or provided by third parties other than Zonzay and received through or advertised on any of the services.\n\n29. CLAIMS:\n\nYou and Zonzay agree that any cause of action arising out of or related to any of the services or software must commence within one (1) year after the cause of action accrues. Otherwise, such cause of action is permanently barred. if you downloaded the software from the app marketplaces, you further acknowledge that the app marketplaces has no responsibility for addressing any claims relating to the software or services or your possession and/or use of the software or services, including, but not limited to: (1) product liability claims; (2) any claim that the software or services fail to conform to any applicable legal or regulatory requirement; and (3) claims arising under consumer protection or similar legislation.\n\n30. French Services:\n\nZONZAY makes no representations that the Services are appropriate or available for use in any location outside the FRANCE. Those who access or use the Software and/or Services from other jurisdictions are entirely responsible for compliance with all local laws.\n\n31. BASIS OF THE BARGAIN:\n\nYou acknowledge and agree that zonzay has offered its software and services and set its prices in reliance upon the warranty disclaimers and the limitations of liability set forth herein, that the warranty disclaimers and the limitations of liability set forth herein reflect a reasonable and fair allocation of risk between you and zonzay, and that the warranty disclaimers and the limitations of liability set forth herein form an essential basis of the bargain between you and zonzay. zonzay would not be able to provide the software or services to you on an economically reasonable basis without these limitations.\n\n32. Feedback:\n\nAny comments, suggestions, or feedback relating to the Software or any of the Services (\"Feedback\") submitted to ZONZAY shall become the property of ZONZAY. ZONZAY will have exclusive ownership of all rights to the Feedback. ZONZAY will be entitled to use the Feedback for any commercial or other purpose whatsoever, without any compensation to you or any other person. ZONZAY will not be required to treat any Feedback as confidential. You agree that you do not acquire any right in or to the Software or any of the Services (or any changes, modifications or corrections thereto) by virtue of any Feedback. You acknowledge that you are responsible for whatever material is submitted by you, including its legality, reliability, appropriateness, originality, and copyright.\n\n33. Export:\n\nThe Software and Services may only be operated, exported or re-exported in compliance with all applicable laws and export regulations of FRANCE and the country in which you obtained them. The Software and Services are specifically subject to the FRANCE Export Administration Regulations; any diversion contrary to FRANCE law is prohibited. You may not export, directly or indirectly, the Software, Services or technical data licensed hereunder or the direct product thereof to any country, individual or entity for which the FRANCE  Government or any agency thereof, at the time of export, requires an export license or other governmental approval, without first obtaining such license or approval.\n\n34. FRANCE Government Rights:\n\nAll Software, the Services and technical data are commercial in nature and developed solely at private expense. Any use, modification, reproduction, release, performance, display or disclosure of the software program and/or documentation shall be governed solely by the terms of this Terms of Use and shall be prohibited except to the extent expressly permitted by the terms of this Terms of Use.\n\n35. GENERAL:\n\n35.1 Notices:\n\nZONZAY may provide you with notices, including those regarding changes to terms and conditions, by email, or postings on the ZONZAY website. Notice will be deemed given twenty-four (24) hours after the email is sent, unless ZONZAY is notified that the email address is invalid. Notice posted on the ZONZAY website is deemed given ten (10) days following the initial posting. ZONZAY reserves the right to determine the form and means of providing notifications to our users.\n\n35.2 Amendments:\n\nZONZAY reserves the right to amend this Terms of Use at any time by publishing the revised Terms of Use on the ZONZAY website or by otherwise providing notice of such amendment pursuant to the notice provisions above. The revised Terms of Use shall become effective following the applicable notice period, unless you expressly accept the revised Terms of Use earlier by clicking on the accept button. Your express acceptance or continued use of the Software or Services after the applicable notice period shall constitute your acceptance to be bound by the terms and conditions of the revised Terms of Use. You can find the latest version of this Terms of Use at ZONZAYlive.com/home/termsofservice.html.\n\n35.3 International Users:\n\nBy using the Software and/or any of the Services, if you are located in the European Union, Asia or any other region with laws or regulations governing personal data collection, use and disclosure that differ from FRANCE laws, then you understand and consent to the processing of personal information in FRANCE.\n\n35.4 Ability to Contract:\n\nYou hereby affirm that you are fully able and competent to enter into the terms, conditions, obligations, affirmations, representations and warranties set forth in this Terms of Use, and to abide by and comply with the terms and conditions of this Terms of Use.\n\n35.5 Entire Agreement:\n\nThis Terms of Use represents the complete agreement concerning the matters covered and, except as set forth under Amendments above, may be amended only by a writing executed by both parties. If any provision of this Terms of Use is held to be unenforceable, such provision shall be modified only to the extent necessary to make it enforceable and shall not affect the enforceability or validity of the remaining provisions, which shall remain in full force and effect.\n\n35.6 Waiver:\n\nThe failure of ZONZAY to exercise or enforce any right or provision of this Terms of Use will not constitute a waiver of such right or provision. Any waiver of any provision of this Terms of Use will be effective only if in writing and signed by ZONZAY.\n\n35.7 Headings:\n\nThe heading references herein are for convenience purposes only, do not constitute a part of this Terms of Use, and will not be deemed to limit or affect any of the provisions hereof.\n\n35.8 Governing Law and Venue:\n\nThis Terms of Use is governed by the laws of FRANCE as such laws are applied to agreements entered into and to be performed entirely within FRANCE, and by the laws of FRANCE. The United Nations Convention on Contracts for the International Sale of Goods (1980) is hereby excluded in its entirety from application to this Terms of Use. You agree that the Services shall be deemed solely based in FRANCE, and that the Services do not give rise to personal jurisdiction over ZONZAY, either specific or general, in jurisdictions other than FRANCE. You further agree that the courts located in FRANCE shall have exclusive jurisdiction and venue over all controversies and disputes in connection herewith, including but not limited to any controversies or disputes arising from or related to the Software, Services, Content or this Terms of Use. You agree not to commence or prosecute any action against any ZONZAY Party other than in courts located in FRANCE, and you hereby consent to, and waive all defenses of lack of personal jurisdiction and forum non-convenience with respect to, venue and jurisdiction in such courts.\n\nIn respect of all ZONZAY Web's transactions in FRANCE, Regystone ltd is the responsible payment party in respect of the below operations.\n\n35.9 Injunctive Relief:\n\nYou acknowledge that the obligations made hereunder to ZONZAY are of a unique and irreplaceable nature, the loss of which shall irreparably harm ZONZAY and which cannot be replaced by monetary damages alone so that ZONZAY shall be entitled to injunctive or other equitable relief (without the obligations of posting any bond or surety) in the event of any breach or anticipatory breach by you. You irrevocably waive all rights to seek injunctive or other equitable relief.\n\n35.10 Third Party Beneficiaries and Agreements:\n\nIf you downloaded the Software from the app marketplaces, you acknowledge and agree that the app marketplaces are third party beneficiaries of this License Agreement, and that, upon your acceptance of the terms and conditions of this Terms of Use, the app marketplaces will have the right (and will be deemed to have accepted the right) to enforce this Terms of Use against you as a third party beneficiary hereof. You agree to comply with, and your license to use the Software and Services is conditioned upon your compliance with, all applicable third-party terms of agreement, including those of any Application Store, as may be applicable, when using the Software and/or Services.\n\n35.11 Privacy Policy:\n\nYou can find the latest version of ZONZAY\'s Privacy Policy at http://zonzay.com/privacy-policy\n\nAdditional Information: To receive information or technical support for a campaign, please mail to support@zonzay.com"

        configureConnectButton(button: declinBTN)
    }
    /*
     * configure the login button style
     */
    func configureConnectButton(button:UIButton) {
        button.setTitle(Localization("close"), for: .normal)
        button.layer.cornerRadius = 9.0
        button.layer.masksToBounds = true
        button.addTarget(self, action: #selector(self.go_back(_:)), for: .touchUpInside)
    }
    @objc func go_back(_ sender: UIButton) {
        self.dismiss(animated: true, completion: nil)
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }
}
